# wxFocusEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxFocusEvent:
[legend]

## Detailed Description

A focus event is sent when a window's focus changes.

The window losing focus receives a "kill focus" event while the window gaining it gets a "set focus" one.

Notice that the set focus event happens both when the user gives focus to the window (whether using the mouse or keyboard) and when it is done from the program itself using wxWindow::SetFocus.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxFocusEvent& event)

Event macros:

- EVT_SET_FOCUS(func):
  Process a `wxEVT_SET_FOCUS` event.
- EVT_KILL_FOCUS(func):
  Process a `wxEVT_KILL_FOCUS` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling

## Public Member Functions

| wxFocusEvent (wxEventType eventType=wxEVT_NULL, int id=0)
| Constructor.
wxWindow * | GetWindow () const
| Returns the window associated with this event, that is the window which had the focus before for the `wxEVT_SET_FOCUS` event and the window which is going to receive focus for the `wxEVT_KILL_FOCUS` one.
void | SetWindow (wxWindow *win)

List of all members.

## Constructor & Destructor Documentation

wxFocusEvent::wxFocusEvent | ( | wxEventType | eventType = `wxEVT_NULL`,
|  | int | id = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxWindow* wxFocusEvent::GetWindow | ( |  | ) | const

Returns the window associated with this event, that is the window which had the focus before for the `wxEVT_SET_FOCUS` event and the window which is going to receive focus for the `wxEVT_KILL_FOCUS` one.

Warning: the window pointer may be NULL!

void wxFocusEvent::SetWindow | ( | wxWindow * | win | ) |

|  | [ top ]